<?php
/**
 * OpenSQLManager
 *
 * Free Database manager for Open Source Databases
 *
 * @package		OpenSQLManager
 * @author 		Timothy J. Warren
 * @copyright	Copyright (c) 2012
 * @link 		https://github.com/aviat4ion/OpenSQLManager
 * @license 	http://philsturgeon.co.uk/code/dbad-license
 */

// --------------------------------------------------------------------------
// ! Global Functions
// --------------------------------------------------------------------------

namespace OpenSQLManager;

/**
 * Convert an array to an object
 *
 * @param array $array
 * @return object
 */
function array_to_object($array)
{
	if (is_object($array))
	{
		return $array;
	}

	$obj = new \StdClass();

	foreach($array as $k => &$v)
	{
		$obj->$k = $v;
	}

	return $obj;
}

// --------------------------------------------------------------------------

/**
 * Create info dialog to return an informational message
 *
 * @param  string $message
 * @return void
 */
function alert($message)
{
	return \wxMessageBox($message, 'Info', wxOK);
}

// --------------------------------------------------------------------------

/**
 * Create info dialog to retun an informational message
 *
 * @param string $message
 * @return void
 */
function error($message)
{
	/*$dialog = new GTKMessageDialog(
		NULL,
		Gtk::DIALOG_MODAL,
		Gtk::MESSAGE_ERROR,
		Gtk::BUTTONS_OK,
		$message
	);

	$dialog->set_position(Gtk::WIN_POS_CENTER);
	$dialog->run();
	$dialog->destroy();*/
}

// --------------------------------------------------------------------------

/**
 * Creates a binary confirmation dialog
 *
 * @param string $message
 * @return bool
 */
function confirm($message)
{
	/*$dialog = new GTKMessageDialog(
		NULL,
		Gtk::DIALOG_MODAL,
		Gtk::MESSAGE_QUESTION,
		Gtk::BUTTONS_YES_NO,
		$message
	);

	$dialog->set_position(Gtk::WIN_POS_CENTER);
	$answer = $dialog->run();
	$dialog->destroy();

	return ($answer === Gtk::RESPONSE_YES) ? TRUE : FALSE;*/
}

// End of functions.php